Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.portlet
Class TransactionInterceptor

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInterceptor
          org.jboss.portal.core.aspects.portlet.TransactionInterceptor

All Implemented Interfaces:
  Interceptor

    public class TransactionInterceptor

extends PortletInterceptor

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`TransactionInterceptor()`

Method Summary
`protected java.lang.Object` | `invoke(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeMandatory(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeNever(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeNotSupported(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeRequired(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeRequiresNew(PortletInvocation invocation)`
`protected java.lang.Object` | `invokeSupports(PortletInvocation invocation)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionInterceptor

    public TransactionInterceptor()

Method Detail

### invoke

    protected java.lang.Object invoke(PortletInvocation invocation)
                               throws java.lang.Exception,
                                      InvocationException

  Specified by:
    `invoke` in class `PortletInterceptor`
  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeNotSupported

    protected java.lang.Object invokeNotSupported(PortletInvocation invocation)
                                           throws java.lang.Exception,
                                                  InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeNever

    protected java.lang.Object invokeNever(PortletInvocation invocation)
                                    throws java.lang.Exception,
                                           InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeMandatory

    protected java.lang.Object invokeMandatory(PortletInvocation invocation)
                                        throws java.lang.Exception,
                                               InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeSupports

    protected java.lang.Object invokeSupports(PortletInvocation invocation)
                                       throws java.lang.Exception,
                                              InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeRequired

    protected java.lang.Object invokeRequired(PortletInvocation invocation)
                                       throws java.lang.Exception,
                                              InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

### invokeRequiresNew

    protected java.lang.Object invokeRequiresNew(PortletInvocation invocation)
                                          throws java.lang.Exception,
                                                 InvocationException

  Throws:
    `java.lang.Exception`
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD